<?php
/**
 * wpst stands for "WP-Script Theme"
 *
 * Need help? Check the following links to get more information about child themes:
 * - WP-Script help: https://www.wp-script.com/blog/how-to-create-a-wordpress-child-theme/
 * - WordPress developer resource: https://developer.wordpress.org/themes/advanced-topics/child-themes/
 */


/**
 * Enqueue scripts and styles for the child theme.
 *
 * @return void
 */
if ( ! function_exists( 'wpst_child_enqueue_styles' ) ) {
	add_action( 'wp_enqueue_scripts', 'wpst_child_enqueue_styles' );
	function wpst_child_enqueue_styles() {
		$theme            = wp_get_theme(); // Gets the current theme.
		$parenthandle     = 'wpst_style'; // This is 'wpst-style' for the WPST theme.
		$parent_style_src = get_template_directory_uri() . '/style.css'; // Gets the parent theme directory URI.
		$parent_deps      = array(); // If the parent theme code has a dependency, copy it to here.
		$parent_version   = $theme->parent()->get('Version'); // Gets the version number of the parent theme.
		$child_version    = $theme->get('Version'); // Gets the version number of the child theme.

		// Enqueue the parent theme stylesheet.
		wp_enqueue_style( $parenthandle, $parent_style_src,	$parent_deps, $parent_version );
		wp_enqueue_style( 'child-style', get_stylesheet_uri(), // Gets the child theme directory URI.
			array( $parenthandle ), // Tells WordPress to load the child theme stylesheet after the parent theme stylesheet.
			$child_version // Gets the version number of the child theme.
		);
	}
}

/**
 * Write here your own functions.
 */